Traverser (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.graphdb.traversal.Traverser interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.traversal
Interface Traverser

All Superinterfaces:
  Iterable<Path>

    public interface Traverser

extends Iterable<Path>

This interface represents the traverser which is used to step through the results of a traversal. Each step can be represented in different ways. The default is as `Path` objects which all other representations can be derived from, i.e `Node` or `Relationship`. Each step can also be represented in one of those representations directly.

Method Summary
`Iterator<Path>` | `iterator()` Represents the traversal in the form of `Path`s.
`Iterable<Node>` | `nodes()` Represents the traversal in the form of `Node`s.
`Iterable<Relationship>` | `relationships()` Represents the traversal in the form of `Relationship`s.

Method Detail

### nodes

    Iterable<Node> nodes()

  Represents the traversal in the form of `Node`s. This is a convenient way to iterate over `Path`s and get the `Path.endNode()` for each position.

  Returns:
    the traversal in the form of `Node` objects.

### relationships

    Iterable<Relationship> relationships()

  Represents the traversal in the form of `Relationship`s. This is a convenient way to iterate over `Path`s and get the `Path.lastRelationship()` for each position.

  Returns:
    the traversal in the form of `Relationship` objects.

### iterator

    Iterator<Path> iterator()

  Represents the traversal in the form of `Path`s.

  Specified by:
    `iterator` in interface `Iterable<Path>`
  Returns:
    the traversal in the form of `Path` objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.